package b4j.Draw;


import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.B4AClass;
import anywheresoftware.b4a.debug.*;

public class circle extends B4AClass.ImplB4AClass implements BA.SubDelegator{
    public static java.util.HashMap<String, java.lang.reflect.Method> htSubs;
    private void innerInitialize(BA _ba) throws Exception {
        if (ba == null) {
            ba = new  anywheresoftware.b4a.ShellBA("b4j.Draw", "b4j.Draw.circle", this);
            if (htSubs == null) {
                ba.loadHtSubs(this.getClass());
                htSubs = ba.htSubs;
            }
            ba.htSubs = htSubs;
             
        }
        if (BA.isShellModeRuntimeCheck(ba))
                this.getClass().getMethod("_class_globals", b4j.Draw.circle.class).invoke(this, new Object[] {null});
        else
            ba.raiseEvent2(null, true, "class_globals", false);
    }

 
    public void  innerInitializeHelper(anywheresoftware.b4a.BA _ba) throws Exception{
        innerInitialize(_ba);
    }
    public Object callSub(String sub, Object sender, Object[] args) throws Exception {
        return BA.SubDelegator.SubNotFound;
    }
public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4j.objects.JFX _fx = null;
public int _mx = 0;
public int _my = 0;
public int _mradius = 0;
public b4j.Draw.main _main = null;
public String  _draw(b4j.Draw.circle __ref,anywheresoftware.b4j.objects.CanvasWrapper _cvs) throws Exception{
__ref = this;
RDebugUtils.currentModule="circle";
if (Debug.shouldDelegate(ba, "draw"))
	return (String) Debug.delegate(ba, "draw", new Object[] {_cvs});
RDebugUtils.currentLine=589824;
 //BA.debugLineNum = 589824;BA.debugLine="Sub Draw(cvs As Canvas)";
RDebugUtils.currentLine=589825;
 //BA.debugLineNum = 589825;BA.debugLine="cvs.DrawCircle(mx, my, mRadius, fx.Colors.Blue, F";
_cvs.DrawCircle(__ref._mx,__ref._my,__ref._mradius,__ref._fx.Colors.Blue,__c.False,__c.DipToCurrent((int) (1)));
RDebugUtils.currentLine=589826;
 //BA.debugLineNum = 589826;BA.debugLine="End Sub";
return "";
}
public String  _initialize(b4j.Draw.circle __ref,anywheresoftware.b4a.BA _ba,anywheresoftware.b4a.objects.collections.List _shapes,int _x,int _y,int _radius) throws Exception{
__ref = this;
innerInitialize(_ba);
RDebugUtils.currentModule="circle";
if (Debug.shouldDelegate(ba, "initialize"))
	return (String) Debug.delegate(ba, "initialize", new Object[] {_ba,_shapes,_x,_y,_radius});
RDebugUtils.currentLine=524288;
 //BA.debugLineNum = 524288;BA.debugLine="Sub Initialize (Shapes As List, x As Int, y As Int";
RDebugUtils.currentLine=524289;
 //BA.debugLineNum = 524289;BA.debugLine="mx = x";
__ref._mx = _x;
RDebugUtils.currentLine=524290;
 //BA.debugLineNum = 524290;BA.debugLine="my = y";
__ref._my = _y;
RDebugUtils.currentLine=524291;
 //BA.debugLineNum = 524291;BA.debugLine="mRadius = Radius";
__ref._mradius = _radius;
RDebugUtils.currentLine=524292;
 //BA.debugLineNum = 524292;BA.debugLine="Shapes.Add(Me)";
_shapes.Add(this);
RDebugUtils.currentLine=524293;
 //BA.debugLineNum = 524293;BA.debugLine="End Sub";
return "";
}
public String  _class_globals(b4j.Draw.circle __ref) throws Exception{
__ref = this;
RDebugUtils.currentModule="circle";
RDebugUtils.currentLine=458752;
 //BA.debugLineNum = 458752;BA.debugLine="Sub Class_Globals";
RDebugUtils.currentLine=458753;
 //BA.debugLineNum = 458753;BA.debugLine="Private fx As JFX";
_fx = new anywheresoftware.b4j.objects.JFX();
RDebugUtils.currentLine=458754;
 //BA.debugLineNum = 458754;BA.debugLine="Private mx, my, mRadius As Int";
_mx = 0;
_my = 0;
_mradius = 0;
RDebugUtils.currentLine=458755;
 //BA.debugLineNum = 458755;BA.debugLine="End Sub";
return "";
}
}